﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace DpiTest48
{
  public partial class MyDialogScaleModeFont : Form
  {
    public MyDialogScaleModeFont()
    {
      this.Font = SystemFonts.MessageBoxFont;


      InitializeComponent();


      for (int r = 0; r < this.c1FlexGrid1.Rows.Count; r++)
      {
        for (int c = 0; c < this.c1FlexGrid1.Cols.Count; c++)
        {
          this.c1FlexGrid1[r, c] = "this is cell " + r + "/" + c;
        }
      }

      this.UpdateFontInfo();

    }

    protected override void OnFontChanged(EventArgs e)
    {
      base.OnFontChanged(e);

      this.UpdateFontInfo();
    }

    protected override void OnDpiChanged(DpiChangedEventArgs e)
    {
      base.OnDpiChanged(e);

      this.UpdateFontInfo();
    }


    private void UpdateFontInfo()
    {
      string text = "Current Font: " + this.Font;
      if (this.c1FlexGrid1 != null)
      {
        text += Environment.NewLine + "Grid font: " + this.c1FlexGrid1.Styles.Normal.Font;
      }

        if (this.label1 != null)
      {
        this.label1.Text = text;
      }
    
  }

  }
}
